routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Mail\MensagemReset;
use App\Http\Middleware\LogAcessoMiddleware;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::middleware(LogAcessoMiddleware::class)->get('/', 'PrincipalController@principal')->name('site.index');

Route::middleware(['auth', LogAcessoMiddleware::class])->prefix('/app')->group(function(){
    
    Route::resource('fornecedor', 'FornecedorController');
    Route::resource('ordenador', 'OrdenadorController');
    Route::resource('empenho', 'EmpenhoController');    
    Route::post('mcc/mostraMccs/', 'MccController@mostraMccs')->name('mostraMccs');
    Route::post('mcc/get_mcc/', 'MccController@getMcc')->name('get-mcc');        
    Route::resource('mcc', 'MccController');    
    Route::post('import-empenho', 'ImportEmpenhoController@import')->name('importEmpenho');
    Route::post('import-mcc', 'ImportMccController@import')->name('importMcc');
    Route::resource('setor', 'SetorController');
    Route::resource('uf', 'UFController');
    Route::resource('tipo', 'TipoLogradouroController');
    Route::resource('logradouro', 'LogradouroController');
    Route::resource('contrato', 'ContratoController');
    Route::resource('pessoa', 'TipoPessoaController');
    Route::resource('espelhamento', 'EspelhamentoController');   
    Route::resource('prepara_espelhamento', 'PreparaEspelhamentoController');    
    Route::get('ido/teste/', 'IdoController@teste')->name('teste');
    Route::resource('ido', 'IdoController');                                  
    Route::resource('lancamento_ido', 'LancamentoIdoController');                   
    Route::resource('natureza_despesa', 'NaturezaDespesasController');                     
    Route::resource('item_despesa', 'ItemNatdespesasController');                   
    Route::post('item_despesa/getItens/{item}', 'ItemNatdespesasController@getItens')->name('get-itens');     
    Route::get('item_despesa/getItens/{item}', 'ItemNatdespesasController@getItens')->name('get-itens');     
    Route::post('imprimir_protocolo', 'ImprimirEmpenhoController@imprimir_protocolo')->name('imprimir_protocolo');
    Route::post('lancamento_unico', 'ImprimirEmpenhoController@lancamento_unico')->name('lancamento_unico');
    Route::resource('recurso_sicom', 'RecursoSicomController');
    Route::resource('modalidade', 'ModalidadeController');
    Route::get('origem-destino/getUsuario/{usuario}', 'OrigemDestinoController@getUsuario');    
    Route::resource('origem-destino', 'OrigemDestinoController');
    
});

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');
Route::get('/mensagem-reset', function() {
	return new MensagemReset();

});

Route::get('/online-user', 'UserController@index')->name('online_user');

resources/views/app/pessoa/create.blade.php
@extends('site.layouts.basico')

    @section('titulo', 'Tipos de Pessoas')

    @section('conteudo') 
<body>
    
    @include('site.layouts._partials.topo')
    <div class="container-fluid py-5">
        <h1 class="text-header fw-bold texto-preto header alinhar-titulo">Tipos de Pessoas - Adicionar</h1>                       
    </div>    

    <div class="conteudo-pagina-2">
        
        <div class="container texto-container" style="padding-top:10px;">
        
        <form method="post" action="{{ route('pessoa.store') }}" style="padding-top:50px;" class="row gy-2 gx-3 align-items-center cor-container">            
            
            @csrf
                <div class="col-md-4" style="">       
                    <label for="inputNome" class="form-label">NOME</label>                             
                    <input type="text" style="text-transform:capitalize" name="nome_tipo_pessoa" value="{{ old('nome_tipo_pessoa') }}" class="form-control">                    
                    {{ $errors->has('nome_tipo_pessoa') ? $errors->first('nome_tipo_pessoa') : '' }}
                </div>    

                <div class="col-md-2" style="margin-top:40px;">                     
                    <button type="submit" class="form-control btn-success" style="color:#fff;">CADASTRAR</button>
                </div>                    

            </form>
            </div>

        </div>

    </div>   

</body>   

@endsection

resources/views/app/pessoa/edit.blade.php
@extends('site.layouts.basico')

    @section('titulo', 'Tipos de Pessoas')

    @section('conteudo') 
<body>
    
    @include('site.layouts._partials.topo')
    <div class="container-fluid py-5">
        <h1 class="text-header fw-bold texto-preto header alinhar-titulo">Tipos de Pessoas - Editar</h1>                       
    </div>    

    <div class="conteudo-pagina" style="margin-top:10px;">
                
        <div class="container texto-container" style="padding-top:10px;">
        
        <form method="post" action="{{ route('pessoa.update', ['pessoa' => $pessoa->id]) }}" style="padding-top:50px;" class="row gy-2 gx-3 align-items-center cor-container">            
            <input type="hidden" name="id" value="{{ $pessoa->id ?? '' }}">
            @csrf
            @method('PUT')

                <div class="col-md-4" style="">       
                    <label for="inputNome" class="form-label">NOME</label>                             
                    <input type="text" style="text-transform:capitalize" name="nome_tipo_pessoa" value="{{ $pessoa->nome_tipo_pessoa ?? old('nome_tipo_pessoa') }}" id="autoSizingInput" class="form-control">                    
                    {{ $errors->has('nome_tipo_pessoa') ? $errors->first('nome_tipo_pessoa') : '' }}
                </div>    

                <div class="col-md-2" style="margin-top:40px;">                    
                    <button type="submit" class="form-control btn-success" style="color:#fff;">ALTERAR</button>
                </div>                    

            </form>
            </div>

        </div>

    </div>   

</body>   

@endsection

resources/views/app/pessoa/index.blade.php
@extends('site.layouts.basico')

    @section('titulo', 'Tipos de Pessoas')

    @section('conteudo') 
<body>
    
    @include('site.layouts._partials.topo')
    <div class="container-fluid py-5">
        <h1 class="texto-header fw-bold texto-preto header">Tipos de Pessoas /Listar</h1> 
    </div>    

    <div class="conteudo-pagina-2">

        <div class="container-fluid" style="padding-top:35px;">
                 <table class="table table-dark table-striped table-hover">
                    <thead>
                        <tr>                                                        
                            <th class="texto-caixa-alta">ID</th>                            
                            <th class="texto-caixa-alta">NOME</th>                            
                            <th class="texto-caixa-alta">Últ. Alteração</th>                            
                            <th></th>
                            <th></th>
                            <th></th>
                            
                        </tr>
                    </thead>
                    <tbody>                        
                        
                            <tr>
                            @foreach ($pessoas as $pessoa )
                            <tr>
                                <td>{{ $pessoa->id }}</td>
                                <td class="texto-capitalize">{{ $pessoa->nome_tipo_pessoa }}</td>                                
                                <td>{{ $pessoa->updated_at->format('d/m/Y H:i:s') }}</td>

                                <td>
                                    <a href="{{ route('pessoa.show', ['pessoa' => $pessoa->id]) }}" class="btn btn-sm btn-success" style="color: #fff !important; width:120px !important">
                                        <i class="far fa-eye" style="color:#000;"></i> Visualizar</a></td>
                                <td>
                                    <a href="" class="btn btn-sm btn-danger" style="color: #fff !important; width:120px;">
                                        <i class="fas fa-trash-alt" style="color:#000"></i> Excluir
                                    </a>
                                </td>

                                <td>
                                    <a href="{{ route('pessoa.edit', ['pessoa' => $pessoa->id]) }}" class="btn btn-sm btn-primary" style="color: #fff !important; width:120px;">
                                        <i class="fas fa-edit" style="color:#000;"></i> Editar
                                    </a>
                                </td>
                            </tr>    
                            @endforeach                                                                                               
 
                    </tbody>
                </table>    
      
                <br>
                O Total de Tipo de Pessoas cadastrados são <strong>{{ $pessoas->total() }}</strong> Registro(s)
                
        </div>

        </div>

    </div>   

</body>   

@endsection

resources/views/app/pessoa/show.blade.php
@extends('site.layouts.basico')

    @section('titulo', 'Tipos de Pessoas')

    @section('conteudo') 
<body>
    
    @include('site.layouts._partials.topo')
    <div class="container-fluid py-5">
        <h1 class="texto-header fw-bold texto-preto header">Visualizar Tipos de Pessoas</h1>                       
    </div>    

    <div class="conteudo-pagina">
        <div class = 'menu' style="">
            <ul>
                <li><a href = "{{ route('pessoa.index') }}">Voltar</a></li>
                <li><a href = "">Consulta</a></li>
            </ul>
        </div>
        
        <div class="container texto-container" style="padding-top:10px;">
            
            <table class="table table-dark table-striped table-hover">
                <tr>
                    <td class="texto-caixa-alta">ID:</td>
                    <td>{{ $pessoa->id }}</td>
                </tr>
                <tr>
                    <td class="texto-caixa-alta">Nome:</td>
                    <td class="texto-capitalize">{{ $pessoa->nome_tipo_pessoa }}</td>
                </tr>                                 

            </table>
        
        </div>  

        </div>

    </div>   

</body>   

@endsection